Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008279TestLinkGUIpublic2018-06-04 13:042018-06-06 07:51
Reporterjreignier 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIE 11OSWindowsOS Version7
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008279: Strange behaviour when changing current test plan on the home page
DescriptionOn the home page, when you select another test plan (diffent from the default one) in the dropdown list, the after losing focus, the dropdown list revert to the previous value and nothing happened : if you click on the link to execute the test plan, it's initiated for the previous test plan.
However, when you get back to the home page, or after reloading the home page, the change occurs well this time and everything worked as expected.
  
Steps To Reproduce1 - Login and go to the home page of a project with at least two activ test plan.
2 - Change the current test plan in the dropdown list.

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE 11 (compatibility mode : Edge)
PHP Version7.0.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
duplicate of 0008254resolvedfman current test plan click is not chagned(1.9.17) 
child of 0008241new Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027517)
vianneym (reporter)
2018-06-04 14:42

Indeeed, i have the same behaviour with version 1.9.17 and if i open source page in by browser, i see a Jquery error when i select a testplan
(0027521)
fman (administrator)
2018-06-04 18:43

can you provide a really detailed test case ?

@vianneym: what about putting here the jQuery error that you got?
(0027524)
fman (administrator)
2018-06-04 19:20

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/aa100cc9000570193aa722819eacf4255573b5b8 [^]
(0027525)
fman (administrator)
2018-06-04 19:20

Please apply changes, retest & provide feedback
(0027526)
vianneym (reporter)
2018-06-05 06:27

OK for me with this fix
(0027547)
jreignier (reporter)
2018-06-06 07:51

Hello, thank you so much for this quick fix !

- Issue History
Date Modified Username Field Change
2018-06-04 13:04 jreignier New Issue
2018-06-04 14:42 vianneym Note Added: 0027517
2018-06-04 18:43 fman Note Added: 0027521
2018-06-04 18:43 fman Assigned To => fman
2018-06-04 18:43 fman Status new => feedback
2018-06-04 19:17 fman Relationship added duplicate of 0008254
2018-06-04 19:20 fman Note Added: 0027524
2018-06-04 19:20 fman QA Team - Task Workflow Status => TBD
2018-06-04 19:20 fman Note Added: 0027525
2018-06-04 19:20 fman Status feedback => resolved
2018-06-04 19:20 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-06-04 19:20 fman Resolution open => fixed
2018-06-04 19:21 fman Relationship added child of 0008241
2018-06-05 06:27 vianneym Note Added: 0027526
2018-06-06 07:51 jreignier Note Added: 0027547



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker